# --- [ analog_input.py ] --------------------------------------------------------
from tkinter import *
import _thread
import time

class analog_input(Frame):
    """ In einen Frame als unsichtbaren Container werden 2 Labels
        als Bezeichnungs- und Statusfeld beinhaltet eingebaut.

        set_Value(value) aktualisiert das Statusfeld mit dem Wert,
        get_Value() liefert den aktuelle Wert des Statusfeldes """
    
    def __init__(self, master,
                  zeile = 0,
                  label_text = "",
                  font = ("Courier", 10, "bold"),
                  **kw):
        
        Frame.__init__(self, master,  **kw)
        self.grid(column = 1, row = 0)
        
        self.__lbl1 = Label(self, text = label_text, width = 10 , font = font, anchor = "e")
        self.__lbl1.grid(column = 0, row = zeile, padx = 5, pady = 3, sticky = "nse")

        self.__lbl2 = Label(self, width = 5, relief = "groove", font = font)
        self.__lbl2.grid(column = 1, row = 0, padx = 5, pady = 3)
        self.__variable = IntVar()
        self.__variable.set(0)
        self.__lbl2.config(textvariable = self.__variable)

        self.set_Value(0)
        
    def set_Value(self, value):
        self.__variable.set(value)
        
    def get_Value(self):
        return self.__variable.get()


if __name__ == "__main__":

    def animate():
        i = 0
        while True:
            time.sleep(1)
            j = (i % 1024)
            i += 17
        
            ana1.set_Value(j)
            ana2.set_Value(j)
            
            print(ana1.get_Value())

    top = Tk()
    frm1 = LabelFrame(top, text = "test")
    frm1.grid(column = 0, row = 0, padx = 5, pady = 3)

    ana1 = analog_input(frm1, label_text = "ADC 1:", font = ("Courier", 8))
    ana1.grid(column = 0, row = 0)

    ana2 = analog_input(frm1, label_text = "ADC 2:")
    ana2.grid(column = 1, row = 1)

    _thread.start_new_thread(animate,())

    top.mainloop()

# --- [ eof ] ------------------------------------------------------------------
